DOMElement::removeAttribute
DOMElement::removeAttributeNS
DOMElement
PHP Manual

# DOMElement::removeAttributeNode

(No version information available, might be only in CVS)

DOMElement::removeAttributeNode — Removes attribute

### Description

bool DOMElement::removeAttributeNode ( DOMAttr `$oldnode` )

Removes attribute `oldnode` from the element.

### Parameters

`oldnode`

  The attribute node.

### Return Values

Returns `TRUE` on success or `FALSE` on failure.

### Errors/Exceptions

`DOM_NO_MODIFICATION_ALLOWED_ERR`

  Raised if the node is readonly.

`DOM_NOT_FOUND_ERROR`

  Raised if `oldnode` is not an attribute of the element.

### See Also

- DOMElement::hasAttribute
- DOMElement::getAttributeNode
- DOMElement::setAttributeNode

DOMElement::removeAttribute
DOMElement::removeAttributeNS
DOMElement
PHP Manual